defmodule SwornforgedWeb.SrdController do
  use SwornforgedWeb, :controller

  def assets(conn, _params) do
    render(conn, :assets, assets: get_in(Cachex.get!(:swornforged, :dataforged_json), ["Asset Types"]))
  end

  def moves(conn, _params) do
    render(conn, :moves, moves: get_in(Cachex.get!(:swornforged, :dataforged_json), ["Move Categories"]))
  end

  def oracles(conn, _params) do
    render(conn, :oracles, oracles: get_in(Cachex.get!(:swornforged, :dataforged_json), ["Oracle Categories"]))
  end

  def encounters(conn, _params) do
    render(conn, :encounters, encounters: get_in(Cachex.get!(:swornforged, :dataforged_json), ["Encounters"]))
  end
end
